> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signed Url

> Get a signed url to start a conversation with an agent with an agent that requires authorization



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/conversation/get-signed-url
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/conversation/get-signed-url:
    get:
      tags:
        - Agents Platform
      summary: Get Signed Url
      description: >-
        Get a signed url to start a conversation with an agent with an agent
        that requires authorization
      operationId: get_conversation_signed_link
      parameters:
        - name: agent_id
          in: query
          required: true
          schema:
            type: string
            description: >-
              Agent id (agent_…) or speech engine external id (seng_), resolved
              to the same underlying resource.
            examples:
              - agent_3701k3ttaq12ewp8b7qv5rfyszkz
              - seng_3701k3ttaq12ewp8b7qv5rfyszkz
            title: Agent Id
          description: >-
            Agent id (agent_…) or speech engine external id (seng_), resolved to
            the same underlying resource.
        - name: include_conversation_id
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Whether to include a conversation_id with the response. If
              included, the conversation_signature cannot be used again.
            default: false
            title: Include Conversation Id
          description: >-
            Whether to include a conversation_id with the response. If included,
            the conversation_signature cannot be used again.
        - name: branch_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The ID of the branch to use
            title: Branch Id
          description: The ID of the branch to use
        - name: environment
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The environment to use for resolving environment variables (e.g.
              'production', 'staging'). Defaults to 'production'.
            title: Environment
          description: >-
            The environment to use for resolving environment variables (e.g.
            'production', 'staging'). Defaults to 'production'.
        - name: debug_events_request
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Whether to enable debug events. Only available for users with
              editor access to the agent.
            default: false
            title: Debug Events Request
          description: >-
            Whether to enable debug events. Only available for users with editor
            access to the agent.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationSignedUrlResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ConversationSignedUrlResponseModel:
      properties:
        signed_url:
          type: string
          title: Signed Url
      type: object
      required:
        - signed_url
      title: ConversationSignedUrlResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````